=== debian/tests/control ===
Tests: test-build-libelf++ test-build-libdwarf++
Depends: @, pkg-config, clang
